Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.branding
Interface IProductConstants

public interface IProductConstants

These constants define the set of properties that the UI expects to be available via `IProduct.getProperty(String)`.

Since:
  3.0
See Also:
  `IProduct.getProperty(String)`

Field Summary
`static String` | `ABOUT_IMAGE` An image which can be shown in an "about" dialog for this product.
`static String` | `ABOUT_TEXT` The text to show in an "about" dialog for this product.
`static String` | `APP_NAME` The SWT application name, used to initialize the SWT Display.
`static String` | `PREFERENCE_CUSTOMIZATION` A file for customizing default preference values for a product.
`static String` | `WELCOME_PAGE` The product's welcome page (special XML-based format).
`static String` | `WINDOW_IMAGE` An image to be used as the window icon for this product (16x16).
`static String` | `WINDOW_IMAGES` An array of one or more images to be used for this product.

Field Detail

### APP_NAME

    public static final String APP_NAME

  The SWT application name, used to initialize the SWT Display.

  This value is used to refer to the application in .XDefaults files on X server based window systems such as Motif.

  To obtain a human-readable name for the product, use `IProduct.getName()`.

  See Also:
    `Display.setAppName(java.lang.String)`, Constant Field Values

### ABOUT_TEXT

    public static final String ABOUT_TEXT

  The text to show in an "about" dialog for this product. Products designed to run "headless" typically would not have such text.

  See Also:
    Constant Field Values

### ABOUT_IMAGE

    public static final String ABOUT_IMAGE

  An image which can be shown in an "about" dialog for this product. Products designed to run "headless" typically would not have such an image.

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  A full-sized product image (no larger than 500x330 pixels) is shown without the "aboutText" blurb. A half-sized product image (no larger than 250x330 pixels) is shown with the "aboutText" blurb beside it.

  See Also:
    Constant Field Values

### PREFERENCE_CUSTOMIZATION

    public static final String PREFERENCE_CUSTOMIZATION

  A file for customizing default preference values for a product. The value is interpreted as either a URL or a bundle-relative path by the runtime. This is not referenced from the workbench.

  The contents must be the same format as a `Properties` file with the key/value pairs being:

       qualifier/key=value

  Where `qualifier` is typically the bundle id.

  See Also:
    Constant Field Values

### WINDOW_IMAGE

    public static final String WINDOW_IMAGE

  An image to be used as the window icon for this product (16x16). Products designed to run "headless" typically would not have such an image.

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  If the `WINDOW_IMAGES` property is given, then it supercedes this one.

  See Also:
    Constant Field Values

### WINDOW_IMAGES

    public static final String WINDOW_IMAGES

  An array of one or more images to be used for this product. The expectation is that the array will contain the same image rendered at different sizes (16x16 and 32x32). Products designed to run "headless" typically would not have such images.

  The value is a comma-separated list of paths, where each path is either a fully qualified valid URL or a path relative to the product's defining bundle.

  If this property is given, then it supercedes `WINDOW_IMAGE`.

  See Also:
    Constant Field Values

### WELCOME_PAGE

    public static final String WELCOME_PAGE

  The product's welcome page (special XML-based format).

  The value is either a fully qualified valid URL or a path relative to the product's defining bundle.

  Products designed to run "headless" typically would not have such a page. Use of this property is discouraged in 3.0, the new `org.eclipse.ui.intro` extension point should be used instead.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.